Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 224672 - Get rid of key/cert db prefix
Summary: Get rid of key/cert db prefix
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Install/Uninstall
Version: 1.0.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rich Megginson
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks: FDS1.1.0
TreeView+ depends on / blocked
 
Reported: 2007-01-26 22:53 UTC by Rich Megginson
Modified: 2015-12-07 16:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-07 16:32:09 UTC


Attachments (Terms of Use)
diffs (deleted)
2007-01-26 22:59 UTC, Rich Megginson
no flags Details | Diff

Description Rich Megginson 2007-01-26 22:53:07 UTC
Now that the key/cert dbs are in their own instance specific directory, we don't
need the name prefix anymore, so we should just get rid of it.  We have the
certdir in the config now - all we really need to do is make sure it exists and
is writable.

Comment 1 Rich Megginson 2007-01-26 22:59:05 UTC
Created attachment 146728 [details]
diffs

Comment 2 Noriko Hosoi 2007-01-27 01:07:09 UTC
Looks good.

Comment 3 Rich Megginson 2007-01-29 16:48:07 UTC
Reviewed by: nhosoi (Thanks!)
Files: see diff
Branch: HEAD
Fix Description: Now that we have everything in its own instance specific
directory, we do not need the troublesome key/cert database prefix.  This
simplifies the slapd_nss_init code a great deal.
Platforms tested: RHEL4
Flag Day: no
Doc impact: YES - A couple of the pages on the wiki talk about
slapd-instance-cert8.db and so on - these pages will have to change once FDS 1.1
is released

Checking in ldapserver/ldap/servers/slapd/ssl.c;
/cvs/dirsec/ldapserver/ldap/servers/slapd/ssl.c,v  <--  ssl.c
new revision: 1.12; previous revision: 1.11
done


Comment 4 Anh Nguyen 2007-12-05 17:36:06 UTC
Verified.

[root@babylon1 snmp]# bash sortrpmsbydate.bash | grep redhat-ds
1196464299 redhat-ds-base-8.0.0-11.el5dsrv Fri Nov 30 2007 
1196464319 redhat-ds-admin-8.0.0-1.15.el5dsrv Fri Nov 30 2007 
1196464343 redhat-ds-console-8.0.0-8.el5dsrv Fri Nov 30 2007 

[root@babylon1 slapd-babylon1]# ls
cert8.db      dse.ldif      dse.ldif.startOK   key3.db  secmod.db
certmap.conf  dse.ldif.bak  dse_original.ldif  schema   slapd-collations.conf
[root@babylon1 slapd-babylon1]# pwd
/etc/dirsrv/slapd-babylon1
[root@babylon1 slapd-babylon1]#


Note You need to log in before you can comment on or make changes to this bug.